#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	svg		# disable SVG support (to boostrap librsvg)
%bcond_with	gl		# enable OpenGL support
%if "%{pld_release}" == "ac"
%bcond_with	xcb		# XCB backend
%else
%bcond_without	xcb		# XCB backend
%endif
%bcond_with	tests		# perform tests (can fail due to out of memory)
#
Summary:	Cairo - multi-platform 2D graphics library
Summary(pl.UTF-8):	Cairo - wieloplatformowa biblioteka graficzna 2D
Name:		cairo
Version:	1.12.2
Release:	8
License:	LGPL v2.1 or MPL v1.1
Group:		Libraries
Source0:	http://cairographics.org/releases/%{name}-%{version}.tar.xz
# Source0-md5:	87649eb75789739d517c743e94879e51
Patch0:		%{name}-link.patch
URL:		http://cairographics.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	binutils-devel
BuildRequires:	fontconfig-devel >= 2.2.95
BuildRequires:	freetype-devel >= 1:2.3.0
BuildRequires:	glib2-devel >= 1:2.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.15}
BuildRequires:	libpng-devel >= 2:1.4.0
%{?with_svg:BuildRequires:	librsvg-devel >= 2.15.0}
BuildRequires:	libspectre-devel >= 0.2.0
BuildRequires:	libtool >= 2:2.2
%{?with_xcb:BuildRequires:	libxcb-devel >= 1.6}
BuildRequires:	pixman-devel >= 0.22.0
BuildRequires:	pkgconfig >= 1:0.9
%{?with_tests:BuildRequires:	poppler-glib-devel >= 0.17.4}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
%if "%{pld_release}" == "ac"
BuildRequires:	xrender-devel >= 0.6
%else
BuildRequires:	xorg-lib-libX11-devel%{?with_xcb: >= 1.1}
BuildRequires:	xorg-lib-libXrender-devel >= 0.6
%endif
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	freetype >= 1:2.3.0
%{?with_xcb:Requires:	libxcb >= 1.6}
Requires:	pixman >= 0.22.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

%description -l pl.UTF-8
Cairo obsługuje oparty na wektorach rendering z antyaliasingiem dla X.
Ścieżki składają się z odcinków i splajnów kubicznych, a renderowane
mogą być z dowolną grubością i różnymi stylami połączeń i zakończeń.
Wszystkie kolory mogą być podane z opcjonalną półprzezroczystością
(podaną przez współczynnik nieprzezroczystości lub alpha) i łączone
przy użyciu rozszerzonego algorytmu składania Portera-Duffa, który
można znaleźć w rozszerzeniu X Render.

Cairo eksportuje stanowe API renderujące w duchu podobne do operatorów
konstruowania ścieżek, tekstu i rysowania z PostScriptu (ze znacznym
dodatkiem półprzezroczystości w modelu obrazu). Kiedy API zostanie
ukończone, ma obsługiwać pełny model obrazu z PDF w wersji 1.4.

%package devel
Summary:	Development files for Cairo library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki Cairo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fontconfig-devel >= 2.2.95
Requires:	freetype-devel >= 1:2.3.0
Requires:	libpng-devel >= 2:1.4.0
%{?with_xcb:Requires:	libxcb-devel >= 1.6}
Requires:	pixman-devel >= 0.22.0
%if "%{pld_release}" == "ac"
Requires:	xrender-devel >= 0.6
%else
Requires:	xorg-lib-libX11-devel%{?with_xcb: >= 1.1}
Requires:	xorg-lib-libXrender-devel >= 0.6
%endif

%description devel
Development files for Cairo library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki Cairo.

%package static
Summary:	Static Cairo library
Summary(pl.UTF-8):	Statyczna biblioteka Cairo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Cairo library.

%description static -l pl.UTF-8
Statyczna biblioteka Cairo.

%package gobject
Summary:	GObject functions library for Cairo graphics library
Summary(pl.UTF-8):	Biblioteka funkcji GObject dla biblioteki graficznej Cairo
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gobject
GObject functions library for Cairo graphics library.

%description gobject -l pl.UTF-8
Biblioteka funkcji GObject dla biblioteki graficznej Cairo.

%package gobject-devel
Summary:	Header files for Cairo GObject library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Cairo GObject
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gobject = %{version}-%{release}
Requires:	glib2-devel >= 1:2.0

%description gobject-devel
Header files for Cairo GObject library.

%description gobject-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Cairo GObject.

%package gobject-static
Summary:	Static Cairo GObject library
Summary(pl.UTF-8):	Statyczna biblioteka Cairo GObject
Group:		Development/Libraries
Requires:	%{name}-gobject-devel = %{version}-%{release}

%description gobject-static
Static Cairo GObject library.

%description gobject-static -l pl.UTF-8
Statyczna biblioteka Cairo GObject.

%package trace
Summary:	Cairo calls tracing utilities
Summary(pl.UTF-8):	Narzędzia do śledzenia wywołań Cairo
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	binutils-libs >= 2.21.53

%description trace
Cairo calls tracing utilities.

%description trace -l pl.UTF-8
Narzędzia do śledzenia wywołań Cairo.

%package apidocs
Summary:	Cairo API documentation
Summary(pl.UTF-8):	Dokumentacja API Cairo
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Cairo API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Cairo.

%prep
%setup -q
%patch0 -p1

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal} -I build
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-ft \
	%{?with_gl:--enable-gl=yes}\
	%{?with_apidocs:--enable-gtk-doc} \
	--enable-pdf \
	--enable-png \
	--enable-ps \
	%{!?with_svg:--disable-svg} \
	--enable-tee \
	%{?with_xcb:--enable-xcb} \
	--with-html-dir=%{_gtkdocdir}

%{__sed} -i 's/gobject-2.0 glib-2.0//' src/cairo.pc

%{__make}
%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# LD_PRELOADable library
%{__rm} $RPM_BUILD_ROOT%{_libdir}/cairo/libcairo-trace.{la,a}
# LD_PRELOADable modules(?)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/cairo/cairo-{fdr,sphinx}.{la,a}

%{!?with_apidocs:%{__rm} -rf $RPM_BUILD_ROOT%{_gtkdocdir}/cairo}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	gobject -p /sbin/ldconfig
%postun	gobject -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains only notes, not LGPL/MPL texts
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libcairo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcairo.so.2
%attr(755,root,root) %{_libdir}/libcairo-script-interpreter.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcairo-script-interpreter.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcairo.so
%attr(755,root,root) %{_libdir}/libcairo-script-interpreter.so
%{_libdir}/libcairo.la
%{_libdir}/libcairo-script-interpreter.la
%{_includedir}/cairo
%exclude %{_includedir}/cairo/cairo-gobject.h
%{_pkgconfigdir}/cairo.pc
%{?with_gl:%{_pkgconfigdir}/cairo-gl.pc}
%{?with_gl:%{_pkgconfigdir}/cairo-glx.pc}
%{_pkgconfigdir}/cairo-fc.pc
%{_pkgconfigdir}/cairo-ft.pc
%{_pkgconfigdir}/cairo-pdf.pc
%{_pkgconfigdir}/cairo-png.pc
%{_pkgconfigdir}/cairo-ps.pc
%{_pkgconfigdir}/cairo-script.pc
%{?with_svg:%{_pkgconfigdir}/cairo-svg.pc}
%{_pkgconfigdir}/cairo-tee.pc
%{?with_xcb:%{_pkgconfigdir}/cairo-xcb.pc}
%{?with_xcb:%{_pkgconfigdir}/cairo-xcb-shm.pc}
%{_pkgconfigdir}/cairo-xlib.pc
%{_pkgconfigdir}/cairo-xlib-xrender.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcairo.a
%{_libdir}/libcairo-script-interpreter.a

%files gobject
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcairo-gobject.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcairo-gobject.so.2

%files gobject-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcairo-gobject.so
%{_libdir}/libcairo-gobject.la
%{_includedir}/cairo/cairo-gobject.h
%{_pkgconfigdir}/cairo-gobject.pc

%files gobject-static
%defattr(644,root,root,755)
%{_libdir}/libcairo-gobject.a

%files trace
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cairo-sphinx
%attr(755,root,root) %{_bindir}/cairo-trace
%dir %{_libdir}/cairo
%attr(755,root,root) %{_libdir}/cairo/cairo-fdr.so*
%attr(755,root,root) %{_libdir}/cairo/cairo-sphinx.so*
%attr(755,root,root) %{_libdir}/cairo/libcairo-trace.so*

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/cairo
%endif
%changelog
* Mon Aug 27 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cairo.git;a=log;h=master

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 9028137
Restore *.la files for now, if you want to remove them
then take care of the dependencies: http://src.th.pld-linux.org/queue.html#89687

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> dc38fec
- release 7 (by relup.sh)

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> b518bdc
- dropped *.la files; rel. 6

* Sat Jun 30 2012 hawk <hawk@pld-linux.org> f6005af
- release 5

* Sat Jun 30 2012 hawk <hawk@pld-linux.org> 4d2964a
- release 4

* Thu Jun 14 2012 Paweł Sikora <pluto@pld-linux.org> 21fd90e
- binutils soname changed
- release 3

* Tue May 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fd607e
- release 2

* Mon May 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 543a7c7
- updated ac,am,lt versions, added xz BRs

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a5ca8e3
- up to 1.12.2

* Thu Apr 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9467746
- release 2

* Sun Mar 25 2012 Jakub Bogusz <qboosh@pld-linux.org> fde28cf
- updated to 1.12.0
- more cairo tracing/replaying utils (fdr="flight data recorder" and sphinx) added to -trace

* Wed Feb 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8142b19
- release 14

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f956d25
- release 13

* Wed Feb 01 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d9f95a
- release 12

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8bdebbc
- release 11

* Sun Nov 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> afff9f3
- release 10

* Tue Nov 15 2011 blekot <blekot@pld-linux.org> 3f16556
- added gl bcond (OpenGL support in Cairo)

* Mon Oct 24 2011 cieciwa <cieciwa@pld-linux.org> c0a654a
- s/enabled-freetype/enabled-ft/
- added binutils-{devel,libs} to use bfd.

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e1c407a
- release 9

* Thu Oct 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c13406b
- release 8

